import * as _vue from "vue";
import TabBarRootNode from './TabBarRootNode';
import TabBarTabsNode from './TabBarTabsNode';
import SaveRef from './SaveRef';
export default {
  name: 'TabBar',
  inheritAttrs: false,
  render: function render() {
    var _this = this;

    return _vue.createVNode(SaveRef, {
      "children": function children(saveRef) {
        return _vue.createVNode(TabBarRootNode, _vue.mergeProps(_this.$attrs, {
          "saveRef": saveRef
        }), {
          default: function _default() {
            return [_vue.createVNode(TabBarTabsNode, _vue.mergeProps(_this.$attrs, {
              "saveRef": saveRef
            }), null)];
          }
        });
      }
    }, null);
  }
};